<nav class="navbar navbar-expand-lg align-items-lg-center container-p-x"
  [ngClass]="currentBg() && flowScrolled? 'nav-shadow opacity-0' : 'bg-navbar-theme'"
  [style.height.px]="flowScrolled?'80':'80'">

  <!-- Brand demo (see demo.css) -->
  <!-- <a routerLink="/" class="navbar-brand demo-brand d-lg-none py-0">
      <span class="demo-brand-logo bg-primary">
        <img class="logo-class" src="assets/img/logo.png"> -->
  <!--<svg viewBox="0 0 148 80" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><defs><linearGradient id="a" x1="46.49" x2="62.46" y1="53.39" y2="48.2" gradientUnits="userSpaceOnUse"><stop stop-opacity=".25" offset="0"></stop><stop stop-opacity=".1" offset=".3"></stop><stop stop-opacity="0" offset=".9"></stop></linearGradient><linearGradient id="e" x1="76.9" x2="92.64" y1="26.38" y2="31.49" xlink:href="#a"></linearGradient><linearGradient id="d" x1="107.12" x2="122.74" y1="53.41" y2="48.33" xlink:href="#a"></linearGradient></defs><path style="fill: #fff;" transform="translate(-.1)" d="M121.36,0,104.42,45.08,88.71,3.28A5.09,5.09,0,0,0,83.93,0H64.27A5.09,5.09,0,0,0,59.5,3.28L43.79,45.08,26.85,0H.1L29.43,76.74A5.09,5.09,0,0,0,34.19,80H53.39a5.09,5.09,0,0,0,4.77-3.26L74.1,35l16,41.74A5.09,5.09,0,0,0,94.82,80h18.95a5.09,5.09,0,0,0,4.76-3.24L148.1,0Z"></path><path transform="translate(-.1)" d="M52.19,22.73l-8.4,22.35L56.51,78.94a5,5,0,0,0,1.64-2.19l7.34-19.2Z" fill="url(#a)"></path><path transform="translate(-.1)" d="M95.73,22l-7-18.69a5,5,0,0,0-1.64-2.21L74.1,35l8.33,21.79Z" fill="url(#e)"></path><path transform="translate(-.1)" d="M112.73,23l-8.31,22.12,12.66,33.7a5,5,0,0,0,1.45-2l7.3-18.93Z" fill="url(#d)"></path></svg>-->
  <!-- </span>
      <span class="demo-brand-name font-weight-normal ml-2">Hypersonix</span>
    </a> -->
  <!-- <input value='NAV BAR' [(colorPicker)]="color" [style.background]="color"/> -->
  <!-- 
  <div class="left-toggle d-flex" >
 
    <div class="layout-sidenav-toggle navbar-nav d-lg-none align-items-lg-center mr-auto" *ngIf="sidenavToggle">
      <a class="nav-item nav-link px-0 ml-2 ml-lg-0  " ngbTooltip="Menu" href="javascript:void(0)" (click)="toggleSidenav()">
        <i class="fas fa-th text-large align-middle" style="font-size:0.95rem !important;color:#777;"></i>
      </a>
    </div>
  </div> -->
  <!-- <div class="nav-seprator pr-2 bg-transparent"
   style="border-right: 1px solid rgba(0, 0, 0, 0.1);width:0px;height:30px;margin-top:2px;"></div> -->
  <div class="mob-logo d-none">
    <div class="demo-brand" *ngIf="orientation !== 'horizontal'">
      <span>
        <img src="assets/imgs/hxlogo/hx_text.svg" style="height:20px; margin-top: 3px;" (click)="goToDefaultPage()" />


      </span>
      <div style="padding-left:0px;">
        <p style="margin-bottom:1px;">
          <a routerLink="/" class="demo-brand-name sidenav-text font-weight-normal ml-2"
            style="font-weight:bolder !important; color: #ffffff;">{{title}}</a>
        </p>
        <a class="pull-right" href="http://hypersonix.ai/" style="color:rgb(207, 207, 207);font-size: 8px;">
        </a>
      </div>
    </div>
  </div>

  <!-- web -->
  <div class="web-brand demo-brand " *ngIf="orientation !== 'horizontal' &&sidenavToggle"
    [ngClass]="flowScrolled?'w-75':''">
    <div class="align-items-center">
      <!-- Dynamic logo based on company id, and by default it will be hypersonix logo. and also by click the logo it will navigate to home page -->
      <!-- <img [src]="logo" class="login-logo" (error)="updateImgError($event)" (click)="goToDefaultPage()" /> -->
      <div class="d-flex align-items-center">
        <span class="f-20 v-middle cursor" (click)="toggleSidenav()" [ngClass]="flowTitle?'d-none':''">
          <div class="hxLogo">
            <span class="text-muted position-absolute" style="font-size:10px;padding-top:1.8rem;"
              [ngClass]="flowTitle?'d-none':''">MENU</span>
              <app-hint [id]="'menu'" (click)="$event.stopPropagation()"></app-hint>
          </div>

          <!-- <img src="assets/imgs/hxlogo/hx_logo.svg" style="height:20px;" /> -->
        </span>
        <span class="f-20 v-middle cursor" (click)="toggleSidenav()" [ngClass]="flowTitle?'pt-1':'d-none'">
          <div class="hxLogo"></div>
          <!-- <img src="assets/imgs/hxlogo/hx_logo.svg" style="height:20px;" /> -->
        </span>
        <span class="ml-3 f-20 v-middle cursor" [ngClass]="flowTitle?'d-none':''">
          <img src="assets/imgs/hxlogo/hx_text.svg" style="height:20px; margin-top: 3px;" (click)="goToDefaultPage()" />
        </span>
        <span class="f-22" [ngClass]="flowTitle?'':'d-none'">
          <!-- {{flowTitle}} -->
          <div *ngIf="formatted_page_title.length>0" class="ml-3" [ngClass]="flowScrolled?'text-nowrap':''">
            <span *ngFor="let word of formatted_page_title" class="mr-2 {{word.highlight}}">{{word.value}}</span>
          </div>
        </span>

      </div>

      <!-- <div class="hxLogo cursor"  (click)="toggleSidenav()" >
        <span class="ml-5 f-20 v-middle cursor"> <img src="assets/imgs/hxlogo/hx_text.svg" style="height:20px;" (error)="updateImgError($event)" (click)="goToDefaultPage()" /></span>
      </div>
      <div class="pt-1 text-muted" style="font-size:10px;">MENU</div> -->
      <!-- <img src="assets/img/vg.png" style="height: 25px;" class="login-logo" /> -->
    </div>
    <div style="padding-left:0px;">
      <!-- <p style="margin-top:0.4rem;margin-bottom:1px;"><a routerLink="/" class="demo-brand-name sidenav-text font-weight-normal ml-2"
            style="font-weight:bolder !important;">{{title}}</a></p> -->
      <p style="margin-bottom:1px;">
        <a routerLink="/" class="demo-brand-name sidenav-text font-weight-normal ml-2"
          style="font-weight:bolder !important; color: #ffffff;">{{title}}</a>
      </p>
      <a class="pull-right" href="http://hypersonix.ai/" style="color:rgb(207, 207, 207);font-size: 8px;">
        <!-- Powered by Hypersonix -->
      </a>
    </div>

    <!-- <a href="javascript:void(0)" class="layout-sidenav-toggle
      text-large ml-auto" (click)="toggleSidenav()">
        <i class="ion ion-md-menu align-middle"></i>
      </a> -->
  </div>
  <!-- web -->

  <div class="right-user d-none">
    <!-- MOBILE NOTIFICATION -->
    <div *ngIf="!dataManager.isFeatureAlert" class="navbar-nav notify-panel-mob"></div>
    <div *ngIf="dataManager.isFeatureAlert" class="navbar-nav notify-panel-mob">
      <div ngbDropdown [placement]="isRTL ? 'bottom-left' : 'bottom-right'" class="demo-navbar-notifications nav-item">
        <a ngbDropdownToggle class="nav-link hide-arrow" href="javascript:void(0)" (click)="batchCountTemp()">
          <!-- <i class="ion ion-md-notifications-outline navbar-icon align-middle"></i> -->


          <!-- <img placement="bottom" ngbTooltip="Notifications" *ngIf="newNotificationCountTemp==0" class="navbar-icon align-middle  white-img" src="assets/img/uikit/notify_nocount.png">
        <img placement="bottom" ngbTooltip="Notifications" *ngIf="newNotificationCountTemp==0" class="navbar-icon align-middle  lite-img "src="assets/img/uikit/notify_nocount-light.png">
        <img placement="bottom" ngbTooltip="Notifications" *ngIf="newNotificationCountTemp!=0" class="navbar-icon align-middle  " src="assets/img/uikit/notify.png"> -->

          <span class="d-inline-flex flex-lg-row-reverse align-items-center align-middle">
            <i placement="bottom" ngbTooltip="See recent notifications & manage alerts"
              *ngIf="newNotificationCountTemp==0" class="las la-bell navbar-icon align-middle nav-status-icons  "></i>
            <i placement="bottom" ngbTooltip="See recent notifications & manage alerts"
              *ngIf="newNotificationCountTemp!=0"
              class="ion-ios-notifications navbar-icon align-middle nav-status-icons yellow  "></i>
          </span>

          <span *ngIf="newNotificationCountTemp!=0"
            class="badge badge-primary notify-badge">{{newNotificationCountTemp}}</span>
          <!-- <span class="d-lg-none align-middle">&nbsp; Notifications</span> -->
        </a>

        <div ngbDropdownMenu [class.dropdown-menu-right]="!isRTL" class="notification-material notify-dropdown">
          <div class="notify-background text-center text-white font-weight-bold p-3">
            {{newNotificationCount}} New Notifications
          </div>
          <div class="list-group list-group-flush">
            <!--  <a href="javascript:void(0)" class="list-group-item list-group-item-action media d-flex align-items-center">
            <div class="ui-icon ui-icon-sm ion ion-md-home bg-secondary border-0 text-white"></div>
            <div class="media-body line-height-condenced ml-3">
              <div class="text-dark">Login from 192.168.1.1</div>
              <div class="text-light small mt-1">
                Aliquam ex eros, imperdiet vulputate hendrerit et.
              </div>
              <div class="text-light small mt-1">12h ago</div>
            </div>
          </a>

          <a href="javascript:void(0)" class="list-group-item list-group-item-action media d-flex align-items-center">
            <div class="ui-icon ui-icon-sm ion ion-md-person-add bg-info border-0 text-white"></div>
            <div class="media-body line-height-condenced ml-3">
              <div class="text-dark">You have <strong>4</strong> new followers</div>
              <div class="text-light small mt-1">
                Phasellus nunc nisl, posuere cursus pretium nec, dictum vehicula tellus.
              </div>
            </div>
          </a>

          <a href="javascript:void(0)" class="list-group-item list-group-item-action media d-flex align-items-center">
            <div class="ui-icon ui-icon-sm ion ion-md-power bg-danger border-0 text-white"></div>
            <div class="media-body line-height-condenced ml-3">
              <div class="text-dark">Server restarted</div>
              <div class="text-light small mt-1">
                19h ago
              </div>
            </div>
          </a> -->
            <div *ngFor="let notificaion of usernotifications; let i=index">
              <a *ngIf="i<5" href="javascript:void(0)"
                class="list-group-item list-group-item-action media d-flex align-items-center">

                <div class="ui-icon ui-icon-sm ion bg-primary border-0 text-white">!</div>
                <!-- <div  class="media-body line-height-condenced ml-3" (click)="navigateToIndividualNotification(notificaion)" > -->
                <div class="media-body line-height-condenced ml-3">

                  <div class="text-dark">{{notificaion.alert_subject}}</div>

                  <div *ngIf="!notificaion.isnew" class="text-ui-material small mt-1">
                    {{notificaion.alert_condition}}
                  </div>
                  <div *ngIf="notificaion.isnew" class="text-ui-material small mt-1 unread-ui">
                    {{notificaion.alert_condition}}
                  </div>

                  <div *ngIf="!notificaion.isnew" class="text-ui-material small mt-1">
                    {{formatDate(notificaion.alert_date)}}
                  </div>
                  <div *ngIf="notificaion.isnew" class="text-ui-material small mt-1 unread-ui">
                    {{formatDate(notificaion.alert_date)}}
                  </div>

                </div>
              </a>
            </div>
          </div>

          <a href="javascript:void(0)" (click)="navigateToNotificationPage()"
            class="d-block text-center text-ui-material-hl small p-2 my-1">Show all notifications</a>
        </div>
      </div>
    </div>
    <!-- MOBILE NOTIFICATION -->

    <!-- search -->
    <button class="navbar-toggler nav-link top-search-btn" type="button" (click)="openSearchWindow()">
      <i class="ion-ios-search navbar-icon align-middle nav-status-icons"></i>
      <!-- <img class="search-white" src="assets/img/uikit/search.png">
  <img class="search-dark" src="assets/img/uikit/search_dark.png"> -->
    </button>
    <!-- search -->

    <!-- USER PROFILE -->

    <div dropdown [autoClose]="true" class="demo-navbar-user nav-item btn-group view-device">
      <a dropdownToggle class="nav-link dropdown-toggle dropdown-link hide-arrow dropdown-item"
        href="javascript:void(0)" style="padding:0.60rem 0rem;">

        <span class="flex-lg-row-reverse align-items-center align-middle">
          <!-- <img src="assets/img/avatars/1.png" alt class="d-block ui-w-30 rounded-circle"> -->
          <!-- <i class="far fa-user"></i> -->
          <!-- <img class="white-img" src="assets/img/uikit/user.png">
        <img class="lite-img" src="assets/img/uikit/user-lite.png"> -->
          <i class="ion-md-person navbar-icon align-middle nav-status-icons"></i>

          <!-- <span class="px-1 mr-lg-2 ml-2 ml-lg-0 username-material">{{userName.toUpperCase()}}</span> -->
        </span>
      </a>



      <div *dropdownMenu class="dropdown-menu profileMenu  dropdown-behaviour" role="menu">
        <!--<a href="javascript:void(0)" class="dropdown-item"><i class="ion ion-ios-person text-lightest"></i> &nbsp; My profile</a>
      <a href="javascript:void(0)" class="dropdown-item"><i class="ion ion-ios-mail text-lightest"></i> &nbsp; Messages</a>-->

        <button href="javascript:void(0)" class="dropdown-item"> <span
            class="px-1 mr-lg-2 ml-2 ml-lg-0 username-material"><b>{{userName.toUpperCase()}}</b></span></button>

        <button href="javascript:void(0)" class="dropdown-item" (click)="userProfile()">
          <i class="las la-user fa-lg" aria-hidden="true"></i>
          &nbsp; User Profile</button>
        <!-- <a *ngIf="user_cre" href="javascript:void(0)" class="dropdown-item" (click)="manageUser()"><i class="fa fa-users" aria-hidden="true"></i> &nbsp; Manage Users</a>
        <a *ngIf="user_cre" href="javascript:void(0)" class="dropdown-item" (click)="manageRoles()"><i class="fa fa-street-view" aria-hidden="true"></i> &nbsp; Manage Roles</a> -->
        <button *ngIf="user_cre && !deviceService.isMobile()" href="javascript:void(0)" class="dropdown-item"
          (click)="adminPanel()"><i class="las la-cog fa-lg" aria-hidden="true"></i><span class="ml-2">Admin
            Panel</span></button>
        <!-- <a href="javascript:void(0)" class="dropdown-item" (click)="changePassword()"><i class="las la-unlock fa-lg"
            aria-hidden="true"></i>
          <span class="ml-2">Change Password</span></a> -->

        <!-- <div class="dropdown-divider"></div> -->
        <button href="javascript:void(0)" class="dropdown-item" (click)="logout()">
          <i class="las la-power-off fa-lg" aria-hidden="true"></i>
          <span class="ml-2">Log Out</span></button>
      </div>
    </div>
    <!-- USER PROFILE -->

  </div>

  <!-- <button class="navbar-toggler" type="button" (click)="isExpanded = !isExpanded" style="font-size:16px;">
      <i class="fa fa-search" aria-hidden="true"></i>
    </button> -->

  <!--Navbar expand searchbar-->
  <div class="navbar-collapse collapse nav_ipad" [ngbCollapse]="!isExpanded">

    <!--ALREADY CMD Divider -->
    <hr class="d-lg-none  my-2 " [ngClass]="flowScrolled?'opacity-0':''">

    <!--ALREADY CMD <div class="navbar-nav align-items-lg-center">
          &lt;!&ndash; Search &ndash;&gt;

          <label class="nav-item navbar-text navbar-search-box p-0 active">
            <i class="ion ion-ios-search navbar-icon align-middle"></i>
            <span class="navbar-search-input pl-2">
              <input type="text" class="form-control navbar-text mx-2" placeholder="Search..." style="width:200px">
            </span>
          </label>
         </div> ALREADY CMD-->

    <div ngbDropdown [autoClose]="true" class="navbar-nav align-items-center" [ngClass]="flowScrolled?'d-none':''">

      <!--ALREADY CMD Search -->
      <!--ALREADY CMD <label class="nav-item navbar-text navbar-search-box p-0 active">
          <span class="navbar-search-input pl-2 input-groups pr-2" style="overflow: unset"> -->

      <!--ALREADY CMD <input type="text" class="form-control navbar-text mx-2 search-ui" placeholder="Enter Keywords" [(ngModel)]="content.keyword"
              (keyup.enter)="doSearch()" (keyup)="doSuggestion()">

            <button type="button" class="btn btn-primary btn-plain" (click)="doSearch()"><i class="ion ion-ios-search navbar-icon align-middle"
                [ngClass]="{'searching': isSearching}"></i></button>  -->


      <!--ALREADY CMD <tag-input [(ngModel)]="oldKey" editable="true"></tag-input>
                <input type="text" class="form-control navbar-text mx-2 search-ui" placeholder="Enter Keywords ..." style="width:60vw" [(ngModel)]="content.keyword"
              (keyup.enter)="doSearch()" (keyup)="doSuggestion()">-->

      <!--ALREADY CMD <button type="button" class="btn btn-primary btn-plain" (click)="doSearch()"><i class="ion ion-ios-search navbar-icon align-middle"
                [ngClass]="{'searching': isSearching}"></i></button> -->

      <!--ALREADY CMD <button type="button" class="btn icon-btn btn-xs" *ngIf="content.keyword.length > 0" (click)="doClear()"></button> -->


      <!--ALREADY CMD <tag-input [(ngModel)]="items" editable="true"></tag-input> -->
      <!--ALREADY CMD <tag-input [editable]="!disabled" [disable]="disabled" style="width:60vw"  [(ngModel)]="search_key" (onTextChange)="doNewSuggestion()" (keyup)="doNewSuggestion()" separatorKeyCodes="32" placeholder="Search" >
              <tag-input-dropdown [showDropdownIfEmpty]="true" [autocompleteItems]="autocompleteItems">
              </tag-input-dropdown>
            </tag-input> -->

      <!--ALREADY CMD <div style="color:white">{{content.keyword}}</div>
            <input type="text" placeholder="Enter Keywords ..." style="width:1px; overflow: hidden;" [(ngModel)]="content.keyword"
             (keyup)="doSuggestion()"> -->
      <view-search></view-search>

      <!--ALREADY CMD </span>
        </label> -->


      <!--ALREADY CMD <label class="nav-item navbar-text navbar-search-box p-0 active">

                  <span class="navbar-search-input pl-2">
                    <input type="text" class="form-control navbar-text mx-2 search-ui" placeholder="Enter Keywords">
                    <i class="ion ion-ios-search navbar-icon align-middle"></i>
                  </span>
                </label> -->
      <!--ALREADY CMD SEARCH -->




      <br />
      <div ngbDropdownMenu class="search-suggestion float-left" *ngIf="showSuggestion">
        <!-- ALREADY CMD <span class="dropdown-item text-center" *ngIf="suggestionList.length == 0" >No data found</span> -->
        <div *ngIf="suggestionList.length>0">
          <!-- ALREADY CMD <a class="dropdown-item" href="javascript:void(0)" *ngFor="let item of suggestionList" (click)="itemSelected(item.text)">{{item.description}}</a> -->
          <a class="dropdown-item" href="javascript:void(0)" *ngFor="let item of suggestionList"
            (click)="addToKeylist(item)">{{item.description}}</a>
        </div>
      </div>
    </div>
    <div class="navbar-nav align-items-center" *ngIf="false" [ngClass]="flowScrolled?'opacity-0':''">
      <div class="nav-item d-none d-lg-block line-height-1 opacity-50 mr-3 ml-1">
        <a href="javascript:void(0)" (click)="stopSpeechRecognition()" *ngIf="speakerOpen">
          <img src="assets/img/uikit/speaker.png" class="d-block ui-w-50 rounded-circle">
        </a>
        <a href="javascript:void(0)" (click)="startSpeechRecognition()" *ngIf="!speakerOpen">
          <img src="assets/img/uikit/speaker-done.png" class="d-block ui-w-50 rounded-circle">
        </a>
      </div>
      <div class="nav-item d-none d-lg-block line-height-1 opacity-50 mr-3 ml-1">
        <div class="app-search-siri-container d-none" [ngClass]="{'d-block': speakerOpen}">
          <div #siriwaveview></div>
        </div>
      </div>
    </div>
    <!-- NOTIFICATION -->
    <div *ngIf="!dataManager.isFeatureAlert" class="navbar-nav align-items-lg-center ml-auto"
      [ngClass]="flowScrolled?'opacity-0':''"></div>
    <div *ngIf="dataManager.isFeatureAlert" class="navbar-nav align-items-lg-center ml-auto"
      [ngClass]="flowScrolled?'opacity-0':''">

      <div #notify="ngbDropdown" ngbDropdown [placement]="isRTL ? 'bottom-left' : 'bottom-right'"
        class="d-flex demo-navbar-notifications nav-item mr-lg-3">
        <a aria-haspopup="true" class="nav-link hide-arrow" href="javascript:void(0)"
          [class.dropdown-menu-right]="!isRTL" ngbDropdownToggle aria-expanded="false">
          <span class="d-inline-flex flex-lg-row-reverse align-items-center align-middle p-0">
            <i class="navbar-icon align-middle nav-status-icons  las la-question-circle"></i>
          </span>
        </a>

        <div ngbDropdownMenu style="width: 10rem;">
          <button class="dropdown-item" href="javascript:void(0)" (click)="introJsService.show_unread()">
            <i class="las la-mouse-pointer fa-lg"></i><span class="ml-2">Show Hints</span></button>
          <button class="dropdown-item" href="javascript:void(0)" (click)="introJsService.reset_hints()">
            <i class="las la-undo-alt fa-lg"></i><span class="ml-2">Reset All Hints</span></button>
        </div>


        <!-- <a ngbDropdownToggle class="nav-link hide-arrow" href="javascript:void(0)" (click)="batchCountTemp()">
          <span class="d-inline-flex flex-lg-row-reverse align-items-center align-middle tooltip-custom-position">
            <i class="navbar-icon align-middle nav-status-icons  las la-question-circle"></i>
          </span>
        </a> -->

      </div>

      <div #notify="ngbDropdown" ngbDropdown [placement]="isRTL ? 'bottom-left' : 'bottom-right'"
        class="demo-navbar-notifications nav-item mr-lg-3">

        <a ngbDropdownToggle class="nav-link hide-arrow" href="javascript:void(0)" (click)="batchCountTemp()">
          <!-- <i class="ion ion-md-notifications-outline navbar-icon align-middle"></i> -->
          <span class="d-inline-flex flex-lg-row-reverse align-items-center align-middle tooltip-custom-position">
            <i placement="bottom" ngbTooltip="See recent notifications & manage alerts"
              *ngIf="newNotificationCountTemp==0" class="navbar-icon align-middle nav-status-icons  "
              [ngClass]="notify.isOpen() == true ? 'las la-bell' : 'las la-bell'  "></i>
            <i placement="bottom" ngbTooltip="See recent notifications & manage alerts"
              *ngIf="newNotificationCountTemp!=0"
              class="ion-ios-notifications navbar-icon align-middle nav-status-icons yellow  "></i>
          </span>

          <!-- <img placement="bottom" ngbTooltip="Notifications" *ngIf="newNotificationCountTemp==0" class="navbar-icon align-middle  white-img" src="assets/img/uikit/notify_nocount.png">
              <img placement="bottom" ngbTooltip="Notifications" *ngIf="newNotificationCountTemp==0" class="navbar-icon align-middle  lite-img "src="assets/img/uikit/notify_nocount-light.png">
              <img placement="bottom" ngbTooltip="Notifications" *ngIf="newNotificationCountTemp!=0" class="navbar-icon align-middle  " src="assets/img/uikit/notify.png"> -->

          <span *ngIf="newNotificationCountTemp!=0"
            class="badge badge-primary notify-badge">{{newNotificationCountTemp}}</span>
          <span class="d-lg-none align-middle d-none">&nbsp; Notifications</span>
        </a>

        <div ngbDropdownMenu [class.dropdown-menu-right]="!isRTL" class="notification-material">
          <div class="notify-background text-center text-white font-weight-bold p-3">
            {{newNotificationCount}} New Notifications
          </div>
          <div class="list-group list-group-flush">
            <!--  <a href="javascript:void(0)" class="list-group-item list-group-item-action media d-flex align-items-center">
                  <div class="ui-icon ui-icon-sm ion ion-md-home bg-secondary border-0 text-white"></div>
                  <div class="media-body line-height-condenced ml-3">
                    <div class="text-dark">Login from 192.168.1.1</div>
                    <div class="text-light small mt-1">
                      Aliquam ex eros, imperdiet vulputate hendrerit et.
                    </div>
                    <div class="text-light small mt-1">12h ago</div>
                  </div>
                </a>
  
                <a href="javascript:void(0)" class="list-group-item list-group-item-action media d-flex align-items-center">
                  <div class="ui-icon ui-icon-sm ion ion-md-person-add bg-info border-0 text-white"></div>
                  <div class="media-body line-height-condenced ml-3">
                    <div class="text-dark">You have <strong>4</strong> new followers</div>
                    <div class="text-light small mt-1">
                      Phasellus nunc nisl, posuere cursus pretium nec, dictum vehicula tellus.
                    </div>
                  </div>
                </a>
  
                <a href="javascript:void(0)" class="list-group-item list-group-item-action media d-flex align-items-center">
                  <div class="ui-icon ui-icon-sm ion ion-md-power bg-danger border-0 text-white"></div>
                  <div class="media-body line-height-condenced ml-3">
                    <div class="text-dark">Server restarted</div>
                    <div class="text-light small mt-1">
                      19h ago
                    </div>
                  </div>
                </a> -->
            <div *ngFor="let notificaion of usernotifications; let i=index">
              <a *ngIf="i<5" href="javascript:void(0)"
                class="list-group-item list-group-item-action media d-flex align-items-center">

                <div class="ui-icon ui-icon-sm ion bg-primary border-0 text-white">!</div>
                <!-- <div  class="media-body line-height-condenced ml-3" (click)="navigateToIndividualNotification(notificaion)"> -->
                <div class="media-body line-height-condenced ml-3">

                  <div class="text-dark">{{notificaion.alert_subject}}</div>

                  <div *ngIf="!notificaion.isnew" class="text-ui-material small mt-1">
                    {{notificaion.alert_condition}}
                  </div>
                  <div *ngIf="notificaion.isnew" class="text-ui-material small mt-1 unread-ui">
                    {{notificaion.alert_condition}}
                  </div>

                  <div *ngIf="!notificaion.isnew" class="text-ui-material-light small mt-1">
                    {{formatDate(notificaion.alert_date)}}
                  </div>
                  <div *ngIf="notificaion.isnew" class="text-ui-material-light small mt-1 unread-ui">
                    {{formatDate(notificaion.alert_date)}}
                  </div>

                </div>

              </a>
            </div>
          </div>

          <a href="javascript:void(0)" (click)="navigateToNotificationPage()"
            class="d-block text-center text-ui-material-hl small p-2 my-1">Show all notifications</a>
        </div>

      </div>
    </div>
    <!-- Chat -->
    <ng-container *ngIf="dataManager.isChatBot && !noChatIcon" [ngClass]="flowScrolled?'opacity-0':''">
      <span style="cursor:pointer;"
        class="d-inline-flex flex-lg-row-reverse align-items-center align-middle tooltip-custom-position"
        (click)="openChatWindow()">
        <i class="fas fa-comment-dots navbar-icon align-middle nav-status-icons  " ngbTooltip="Chatbot"
          placement="bottom"></i>
      </span>
    </ng-container>
    <!-- <ng-container *ngIf="layoutService.showChatBox">
      <jarvis></jarvis>
    </ng-container> -->

    <!-- NOTIFICATION -->
    <!-- <div class="nav-seprator"></div> -->
    <div class="demo-navbar-user nav-item dropdown" ngbDropdown [ngClass]="flowScrolled?'opacity-0':''"
      [placement]="'bottom-right'" class="ml-1">
      <a aria-haspopup="true" class="nav-link dropdown-toggle p-0" href="javascript:void(0)"
        [class.dropdown-menu-right]="!isRTL" ngbDropdownToggle aria-expanded="false">
        <span class="d-inline-flex flex-lg-row-reverse align-items-center align-middle p-0">
          <img alt="" class="d-block ui-w-40 rounded-circle" src="assets/img/avatars/1-small.svg">
          <a href="javascript:void(0)" class="dropdown-item text-right user-hover" style="display: grid;">
            <span class=" ml-2 ml-lg-0 username-material text-muted"
              style="text-transform: capitalize;
            font-size: 11px; font-weight: 400; letter-spacing: .6px; color: #777 !important;">{{companyName}}</span><span
              class="px-1 mr-lg-2 ml-2 ml-lg-0 username-material user-text"><b>{{userName}}</b></span></a>
        </span>
      </a>
      <div ngbDropdownMenu [class.dropdown-menu-right]="!isRTL" class="mt-3 py-2"
        style="box-shadow: 0px 3px 10px 1px #7d7d7d5c !important;">
        <button class="dropdown-item" href="javascript:void(0)" (click)="userProfile()">
          <i class="las la-user fa-lg"></i><span class="ml-2">User Profile</span></button>
        <button *ngIf="user_cre" class="dropdown-item" href="javascript:void(0)" (click)="adminPanel()">
          <i class="las la-cog fa-lg"></i><span class="ml-2">Admin Panel</span></button>
        <!-- <button class="dropdown-item" href="javascript:void(0)" (click)="changePassword()">
              <i class="las la-unlock fa-lg"></i><span class="ml-2">Change Password</span></button> -->
        <button class="dropdown-item" href="javascript:void(0)" (click)="logout()">
          <i class="las la-power-off fa-lg"></i><span class="ml-2">Log Out</span></button>

      </div>
    </div>
    <!-- start scrolled after show outline button -->
    <div class="navbar-nav align-items-center outline-container" [ngClass]="flowScrolled?'opacity-1':''">
      <button class="btn btn-primary align-items-center" style="border-radius: 5px; padding: 0.3rem 1.125rem;"
        [ngClass]="flowTitle?'':'d-none'" (click)="toggleOutLineState()">
        <i class="las la-stream mr-1 fa-lg"></i>Outline
      </button>
    </div>
    <!-- End scrolled after show outline button -->
  </div>
  <!--Navbar expand searchbar-->

  <!-- SEARCH POPUP FOR MOBILE -->
  <!-- <div class="app-search web" *ngIf="showSearchWindow">
    <div class="app-serch-content">

      <div ngbDropdown [autoClose]="true" class="navbar-nav align-items-center">

        <div class="app-search-detail">
          <span class="search-heading">Search</span>
          <span class="search-close">
            <img (click)="cancelClick()" src="assets/img/uikit/close.png">
          </span>
        </div>

        <view-search></view-search>
        <div ngbDropdownMenu class="search-suggestion float-left" *ngIf="showSuggestion">

          <div *ngIf="suggestionList.length>0">

            <a class="dropdown-item" href="javascript:void(0)" *ngFor="let item of suggestionList"
              (click)="addToKeylist(item)">{{item.description}}</a>
          </div>
        </div>
      </div>

      <div class="navbar-nav align-items-center" *ngIf="false">
        <div class="nav-item d-none d-lg-block line-height-1 opacity-50 mr-3 ml-1">
          <a href="javascript:void(0)" (click)="stopSpeechRecognition()" *ngIf="speakerOpen">
            <img src="assets/img/uikit/speaker.png" class="d-block ui-w-50 rounded-circle">
          </a>
          <a href="javascript:void(0)" (click)="startSpeechRecognition()" *ngIf="!speakerOpen">
            <img src="assets/img/uikit/speaker-done.png" class="d-block ui-w-50 rounded-circle">
          </a>
        </div>
        <div class="nav-item d-none d-lg-block line-height-1 opacity-50 mr-3 ml-1">
          <div class="app-search-siri-container d-none" [ngClass]="{'d-block': speakerOpen}">
            <div #siriwaveview></div>
          </div>
        </div>
      </div>
    </div>

  </div> -->

  <!-- SEARCH POPUP -->




</nav>